Skip to main content
PATCH
curl

Path Parameters

project
integer
required

Numeric Project ID.

Required range: x >= 1

Body

application/json
code
string
Pattern: ^[A-Z]{3}$(?![\s\S])
name
string

New display name

Maximum string length: 255
type
enum<string>

New Project type

Available options:
monorepo,
laravel-app,
symfony-app,
laravel-package,
node-package
slug
string

New Project slug

Maximum string length: 63
Pattern: ^[A-Za-z0-9_-]+$
repository_url
string
Maximum string length: 2048
source_access
enum<string>

How Orbit reads a private github.com repository: github_app or gh_cli

Available options:
github_app,
gh_cli
default_branch
string

New stored default branch

Maximum string length: 255
root
string

New repository-relative root; package types may use .

Maximum string length: 255
task_check
string | null

New task check command for task baselines and handoffs

Maximum string length: 4096
task_workspace_routed
boolean

Change routing for future task workspaces (true or false)

review_and_merge
boolean

Review every push, review incoming pull requests, and merge reviewed green heads (true or false)

merge_check
string | null

The check that must pass on a head before Orbit merges it, such as "Required checks"

Maximum string length: 255

Response

The request succeeded.

data
object
required
meta
object
required